Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.skin
Class DummySkinConfiguration

    java.lang.Object
      org.richfaces.skin.DummySkinConfiguration

All Implemented Interfaces:
  org.richfaces.skin.SkinConfiguration

    public class DummySkinConfiguration

extends java.lang.Object
implements org.richfaces.skin.SkinConfiguration

Author:
  shura

Constructor Summary
`DummySkinConfiguration(org.richfaces.skin.Skin skin)`

Method Summary
`boolean` | `containsParameter(java.lang.String name)`
`java.lang.Object` | `getParameter(javax.faces.context.FacesContext context, java.lang.String name)`
`java.lang.Object` | `getParameter(javax.faces.context.FacesContext context, java.lang.String name, java.lang.String skinName, java.lang.Object defaultValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DummySkinConfiguration

    public DummySkinConfiguration(org.richfaces.skin.Skin skin)

Parameters:
  `skin` -

Method Detail

### containsParameter

    public boolean containsParameter(java.lang.String name)

  Specified by:
    `containsParameter` in interface `org.richfaces.skin.SkinConfiguration`

### getParameter

    public java.lang.Object getParameter(javax.faces.context.FacesContext context,
                                         java.lang.String name)

  Specified by:
    `getParameter` in interface `org.richfaces.skin.SkinConfiguration`

### getParameter

    public java.lang.Object getParameter(javax.faces.context.FacesContext context,
                                         java.lang.String name,
                                         java.lang.String skinName,
                                         java.lang.Object defaultValue)

  Specified by:
    `getParameter` in interface `org.richfaces.skin.SkinConfiguration`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.